Subject: Re: bug#29799: 24.5; cl-loop guard clause missing

From: Noam Postavsky <[email-masked]>
Date: Mon, 01 Jan 2018 17:58:40 -0500

Noam Postavsky <[email-masked]> writes:

> I don't understand why the "then" step is put at the of the loop.  The
> following patch (commenting out the "ands" branch) avoids doing that,
> and fixes this bug.  But presumably there is some reason for having this
> code in the first place?  I guess some more complicated example would be
> needed to show why this naive fix won't work.

Oh, 'make -C test cl-macs-tests' provides some.  And I see we've in fact
been over this naive solution before:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=6583#28